BulkCreateFindingTasks
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Finding.BulkCreateFindingTasks(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.BulkCreateFindingTasksResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.finding.bulkCreateFindingTasks();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/findings/bulk/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"policyId": "<string>",
"refs": [
{
"id": "<string>"
}
],
"searchRequest": {
"appIds": [
"<string>"
],
"appResourceIds": [
"<string>"
],
"appResourceTraitIds": [
"<string>"
],
"appResourceTypeIds": [
"<string>"
],
"appUserIds": [
"<string>"
],
"appUserTypes": [],
"connectorIds": [
"<string>"
],
"customSubTypes": [
"<string>"
],
"decoyIds": [
"<string>"
],
"findingTypes": [],
"includeUnassigned": true,
"nhiTypes": [],
"ownerIdentityUserIds": [
"<string>"
],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"id": "<string>"
}
],
"scopeToAppOwner": true,
"severities": [],
"sourceKinds": [],
"states": []
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/findings/bulk/tasks"
payload = {
"policyId": "<string>",
"refs": [{ "id": "<string>" }],
"searchRequest": {
"appIds": ["<string>"],
"appResourceIds": ["<string>"],
"appResourceTraitIds": ["<string>"],
"appResourceTypeIds": ["<string>"],
"appUserIds": ["<string>"],
"appUserTypes": [],
"connectorIds": ["<string>"],
"customSubTypes": ["<string>"],
"decoyIds": ["<string>"],
"findingTypes": [],
"includeUnassigned": True,
"nhiTypes": [],
"ownerIdentityUserIds": ["<string>"],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [{ "id": "<string>" }],
"scopeToAppOwner": True,
"severities": [],
"sourceKinds": [],
"states": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
policyId: '<string>',
refs: [{id: '<string>'}],
searchRequest: {
appIds: ['<string>'],
appResourceIds: ['<string>'],
appResourceTraitIds: ['<string>'],
appResourceTypeIds: ['<string>'],
appUserIds: ['<string>'],
appUserTypes: [],
connectorIds: ['<string>'],
customSubTypes: ['<string>'],
decoyIds: ['<string>'],
findingTypes: [],
includeUnassigned: true,
nhiTypes: [],
ownerIdentityUserIds: ['<string>'],
pageSize: 123,
pageToken: '<string>',
query: '<string>',
refs: [{id: '<string>'}],
scopeToAppOwner: true,
severities: [],
sourceKinds: [],
states: []
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/findings/bulk/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bulkActionId": "<string>"
}Findings
Bulk Create Finding Tasks
Bulk create tasks for findings.
POST
/
api
/
v1
/
findings
/
bulk
/
tasks
BulkCreateFindingTasks
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Finding.BulkCreateFindingTasks(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.BulkCreateFindingTasksResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.finding.bulkCreateFindingTasks();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The BulkCreateFindingTasksRequest message.
Optional policy ID to use for the created tasks. Defaults to the app's grant policy.
Individual finding references to create tasks for (by-ID mode).
Show child attributes
Show child attributes
The FindingSearchRequest message.
Show child attributes
Show child attributes
Response
200 - application/json
Successful response
The BulkCreateFindingTasksResponse message.
The ID of the asynchronous bulk action, which can be used to track progress.
Was this page helpful?
⌘I